# DataExchange
TKXSBase
Interface

# Interface_MapAsciiStringHasher Class Reference

`#include <Interface_MapAsciiStringHasher.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Standard_Integer | HashCode (const TCollection_AsciiString &K, const Standard_Integer Upper)
static Standard_EXPORT Standard_Boolean | IsEqual (const TCollection_AsciiString &K1, const TCollection_AsciiString &K2)

## Member Function Documentation

static Standard_EXPORT Standard_Integer Interface_MapAsciiStringHasher::HashCode | ( | const TCollection_AsciiString & | K,
|  | const Standard_Integer | Upper
| ) | `[static]`

static Standard_EXPORT Standard_Boolean Interface_MapAsciiStringHasher::IsEqual | ( | const TCollection_AsciiString & | K1,
|  | const TCollection_AsciiString & | K2
| ) | `[static]`

void Interface_MapAsciiStringHasher::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Interface_MapAsciiStringHasher::operator new | ( | size_t | size | ) | `[inline]`

void* Interface_MapAsciiStringHasher::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- Interface_MapAsciiStringHasher.hxx